﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TetrisOnlineLauncher
{
    public partial class FormRegister : Form
    {
        public string ID;
        public string PW;

        public FormRegister()
        {
            InitializeComponent();
        }

        private void bOK_Click(object sender, EventArgs e)
        {
            if (tbPass1.Text!=tbPass2.Text)
            {
                MessageBox.Show(this, "Passwords don't match.");
                return;
            }

            if (tbID.Text.Length < 1)
            {
                MessageBox.Show(this, "ID can't be empty.");
                return;
            }

            if (tbEmail.Text.Length < 1)
            {
                MessageBox.Show(this, "Email can't be empty.");
                return;
            }

            Cursor = Cursors.WaitCursor;

            Launcher l = new Launcher();

            try
            {
                l.Register(tbID.Text, tbPass1.Text, tbEmail.Text);

                MessageBox.Show(this, "Confirmation email sent.");

                ID = tbID.Text;
                PW = tbPass1.Text;
                DialogResult = DialogResult.OK;
            }
            catch (Exception ex)
            {
                MessageBox.Show(this, ex.Message);
            }

            Cursor = Cursors.Default;

        }
    }
}
